<template>
	<view class="template-news tn-safe-area-inset-bottom">

		<view class="tn-navbg" :style="{height: vuex_custom_bar_height + 'px'}">
			<!-- 顶部自定义导航 -->
			<tn-nav-bar fixed alpha customBack>
				<view slot="back" class='tn-custom-nav-bar__back' @click="tnHome">
					<text class='icon tn-icon-left'></text>
					<text class='icon tn-icon-home-capsule-fill'></text>
				</view>
			</tn-nav-bar>
		</view>
		<!-- 内容区域开始 -->
		<view class="tn-margin-top-xs" :style="{paddingTop: vuex_custom_bar_height + 'px'}">
			<view class="nav_title--wrap">
				<view class="nav_title tn-main-gradient-blue">
					{{collectionInfo.title}}
				</view>
			</view>
			<view class="news-img" style="text-align: center;">
				<tn-circle-progress :percent="50">
					<view class="tn-color-gray--dark" style="display: flex;flex-direction: column;">
						<text>正确率</text>
						<text>{{correctRatio}}% </text>
					</view>
				</tn-circle-progress>
			</view>
			<view class="news-img" style="padding: 10rpx;">
				<tn-list-view :card="true" unlined="all">
					<tn-list-cell :arrow="false" fontColor="#E83A30">错误题数：{{submitInfo.error_count}}</tn-list-cell>
					<tn-list-cell :arrow="false" fontColor="#2DE88D">正确题数：{{submitInfo.correct_count}}</tn-list-cell>
					<tn-list-cell :arrow="false">试题总数：{{submitInfo.exam_count}}</tn-list-cell>
					<tn-list-cell :arrow="false">试题分数：{{submitInfo.score}}</tn-list-cell>
				</tn-list-view>
			</view>
		</view>
		<!-- 内容区域结束 -->

		<!-- 悬浮按钮开始-->
		<view class="tn-flex tn-flex-row-between tn-footerfixed">
			<view class="tn-flex-1 justify-content-item tn-margin-xs tn-text-center" @click="examAnsy">
				<tn-button backgroundColor="tn-main-gradient-blue" padding="40rpx 0" width="90%" :fontSize="28">
					<text class="tn-color-white">试卷解析</text>
					<text class="tn-padding-left-xs tn-color-white"></text>
				</tn-button>
			</view>
			<view class="tn-flex-1 justify-content-item tn-margin-xs tn-text-center" @click="randkList">
				<tn-button backgroundColor="#27B93A" padding="40rpx 0" width="90%" :fontSize="28">
					<text class="tn-color-white">答题分析</text>
					<text class="tn-padding-left-xs tn-color-white"></text>
				</tn-button>
			</view>
		</view>
		<!-- 悬浮按钮结束 -->

		<!-- 边距间隔 -->
		<!-- <view class="tn-strip-bottom"></view> -->

		<!-- 信息流广告开始 -->
		<view class="">
			<view class="tn-tag-content tn-margin tn-text-justify">
				<ad unit-id="adunit-92074d41f78efccc"></ad>
			</view>
		</view>
		<!-- 信息流广告结束 -->
		
		<view class="tn-flex tn-flex-row-between tn-padding-top-sm">
			<view class="justify-content-item tn-margin tn-text-bold tn-text-xl">
				相关推荐
			</view>
			<view class="justify-content-item tn-margin tn-text-lg tn-color-grey">
				<text class="tn-padding-xs">全部</text>
				<text class="tn-icon-topics"></text>
			</view>
		</view>

		<!-- 不建议写时间，因为写了时间，你就要经常更新文章了鸭-->
		<view class="">
			<view class="tn-margin-bottom-lg">
				<block v-for="(item, index) in relExamContent" :key="index">
					<view class="article-shadow tn-margin" @click="tn('/subpages/exam/collection/detail?uid='+ item.uid +'')">
						<view class="tn-flex">

							<view class="tn-margin-sm tn-padding-top-xs" style="width: 100%;">
								<view class="tn-text-lg tn-text-bold clamp-text-1 tn-text-justify">
									<text class="">{{ item.title }}</text>
								</view>
								<view class="tn-padding-top-xs" style="min-height: 90rpx;">
									<text class="tn-text-df tn-color-gray clamp-text-2 tn-text-justify">
										<!-- {{ item.remark }} -->
									</text>
								</view>
								<view class="tn-flex tn-flex-row-between tn-flex-col-between tn-margin-top-sm">
									<view class="justify-content-item tn-tag-content__item tn-margin-right tn-text-sm tn-text-bold">
										<text class="tn-tag-content__item--prefix">#</text> {{ item.category.title }}
									</view>
									<view class="justify-content-item tn-color-gray tn-text-center" style="padding-top: 5rpx;">
										<text class="tn-icon-rocket tn-text-lg" style="padding-right: 5rpx;"></text>
										<text class="tn-padding-right tn-text-df">{{ item.submit }}</text>
										<text class="tn-icon-like-lack tn-text-lg" style="padding-right: 5rpx;"></text>
										<text class="tn-text-df">{{ item.collect }}</text>
									</view>
								</view>
							</view>
							<view class="image-pic tn-margin-sm" :style="'background-image:url(' + item.url + item.path + ')'">
								<view class="image-article">
								</view>
							</view>
						</view>
					</view>
				</block>

			</view>

		</view>

		<view class='tn-tabbar-height'></view>

	</view>
</template>

<script>
	import template_page_mixin from '@/libs/mixin/template_page_mixin.js'
	import {
		getReadingRelList,
		getSubmitCollectionInfo
	} from "@/utils/api/exam.js"
	export default {
		name: 'TemplateNews',
		mixins: [template_page_mixin],
		data() {
			return {
				relExamContent: [], // 相关试卷
				submitUid: "",
				submitInfo: {},
				collectionInfo: {},
				correctRatio: 0.00
			}
		},
		onLoad(params) {
			this.submitUid = params.submit_uid || ""
			this.getReadingRelList()
			this.$t.mpShare = {
				share: false,
			}
			if (!this.$t.mpShare.share) {
				uni.hideShareMenu()
			}
		},
		onShow() {
			this.getSubmitCollectionInfo()
		},
		methods: {
			// 获取答题结果
			getSubmitCollectionInfo() {
				getSubmitCollectionInfo({
					submit_uid: this.submitUid
				}).then(res => {
					if (res.code == 100) {
						this.submitInfo = res.data.submit
						this.collectionInfo = res.data.collection
						this.correctRatio = (res.data.submit.correct_count / res.data.submit.exam_count * 100 ).toFixed(2)
						this.getReadingRelList(res.data.collection.uid)
						return
					}
					this.$func.showTotast(res.msg)
				})
			},
			// 获取相关试卷
			getReadingRelList(collectionUId) {
				getReadingRelList({
					collection_uid: collectionUId
				}).then(res => {
					this.relExamContent = res.data
				})
			},
			examAnsy() {
				this.$func.showToast("功能待开放")
			},
			tnHome() {
				this.$func.tnHome()
			},
			// 跳转
			randkList() {
				this.$func.navigatorTo("/subpages/exam/history/detail?uid="+ this.submitUid + "&collection_uid=" + this.collectionInfo.uid)
			},
			tn(e) {
				uni.navigateTo({
					url:e,
				});
			},
		}
	}
</script>

<style lang="scss" scoped>
	/* 胶囊*/
	.tn-custom-nav-bar__back {
		width: 100%;
		height: 100%;
		position: relative;
		display: flex;
		justify-content: space-evenly;
		align-items: center;
		box-sizing: border-box;
		background-color: rgba(0, 0, 0, 0.15);
		border-radius: 1000rpx;
		border: 1rpx solid rgba(255, 255, 255, 0.5);
		color: #FFFFFF;
		font-size: 18px;

		.icon {
			display: block;
			flex: 1;
			margin: auto;
			text-align: center;
		}

		&:before {
			content: " ";
			width: 1rpx;
			height: 110%;
			position: absolute;
			top: 22.5%;
			left: 0;
			right: 0;
			margin: auto;
			transform: scale(0.5);
			transform-origin: 0 0;
			pointer-events: none;
			box-sizing: border-box;
			opacity: 0.7;
			background-color: #FFFFFF;
		}
	}

	/* 顶部渐变*/
	.tn-navbg {
		background: linear-gradient(-120deg, #F15BB5, #9A5CE5, #01BEFF, #00F5D4);
		/* background: linear-gradient(-120deg,  #9A5CE5, #01BEFF, #00F5D4, #43e97b); */
		/* background: linear-gradient(-120deg,#c471f5, #ec008c, #ff4e50,#f9d423); */
		/* background: linear-gradient(-120deg, #0976ea, #c471f5, #f956b6, #ea7e0a); */
		background-size: 500% 500%;
		animation: gradientBG 15s ease infinite;
		position: fixed;
		top: 0;
		width: 100%;
		z-index: 100;
	}

	@keyframes gradientBG {
		0% {
			background-position: 0% 50%;
		}

		50% {
			background-position: 100% 50%;
		}

		100% {
			background-position: 0% 50%;
		}
	}

	/* 标题 start */
	.nav_title {
		-webkit-background-clip: text;
		color: transparent;
		padding-left: 20rpx;
		padding-right: 20rpx;
		// text-align: center;

		&--wrap {
			position: relative;
			display: flex;
			height: auto;
			font-size: 42rpx;
			align-items: center;
			justify-content: center;
			font-weight: bold;
			background-image: url(https://tnuiimage.tnkjapp.com/title_bg/title00.png);
			background-size: cover;
		}
	}

	/* 标题 end */

	/* 富文本图示意 start */
	.news-img {
		z-index: -1;
		// padding-bottom: 40rpx;

		image {
			width: 100%;
			margin: 20rpx 0;
			// height: 3373rpx;
			// z-index: -1;
		}
	}

	/* 资讯主图 start*/
	.image-article {
		border-radius: 8rpx;
		width: 200rpx;
		height: 200rpx;
		position: relative;
	}

	.image-pic {
		border: 1rpx solid #F8F7F8;
		background-size: cover;
		background-repeat: no-repeat;
		// background-attachment:fixed;
		background-position: top;
		border-radius: 10rpx;
	}

	.article-shadow {
		border-radius: 15rpx;
		box-shadow: 0rpx 0rpx 50rpx 0rpx rgba(0, 0, 0, 0.07);
	}

	/* 文字截取*/
	.clamp-text-1 {
		-webkit-line-clamp: 1;
		display: -webkit-box;
		-webkit-box-orient: vertical;
		text-overflow: ellipsis;
		overflow: hidden;
	}

	.clamp-text-2 {
		-webkit-line-clamp: 2;
		display: -webkit-box;
		-webkit-box-orient: vertical;
		text-overflow: ellipsis;
		overflow: hidden;
	}

	/* 标签内容 start*/
	.tn-tag-content {
		&__item {
			display: inline-block;
			line-height: 35rpx;
			color: #1D2541;
			background-color: #F3F2F7;
			border-radius: 10rpx;
			font-size: 22rpx;
			padding: 5rpx 15rpx;

			&--prefix {
				padding-right: 10rpx;
			}
		}
	}


	/* 大单图 start*/
	.tn-blogger-content2 {
		&__wrap {
			padding: 30rpx;
		}

		&__info {
			&__btn {
				margin-right: -12rpx;
				opacity: 0.5;
			}
		}

		&__label {
			&__item {
				line-height: 45rpx;
				padding: 0 20rpx;
				margin: 5rpx 18rpx 0 0;

				&--prefix {
					color: #00FFC8;
					padding-right: 10rpx;
				}
			}

			&__desc {
				line-height: 55rpx;
			}
		}

		&__main-image {
			box-shadow: 0rpx 5rpx 40rpx 0rpx rgba(43, 158, 246, 0.2);
			border-radius: 16rpx;

			&--1 {
				max-width: 690rpx;
				min-width: 690rpx;
				max-height: 400rpx;
				min-height: 400rpx;
			}

			&--2 {
				max-width: 260rpx;
				max-height: 260rpx;
			}

			&--3 {
				height: 212rpx;
				width: 100%;
			}
		}

		&__count-icon {
			font-size: 40rpx;
			padding-right: 5rpx;
		}
	}

	.image-design {
		padding: 160rpx 0rpx;
		font-size: 40rpx;
		font-weight: 300;
		position: relative;
	}

	.image-pic {
		background-size: cover;
		background-repeat: no-repeat;
		// background-attachment:fixed;
		background-position: top;
		border-radius: 10rpx;
	}

	/* 文章内容 end*/

	/* 底部悬浮按钮 start*/
	.tn-tabbar-height {
		min-height: 100rpx;
		height: calc(120rpx + env(safe-area-inset-bottom) / 2);
	}

	.tn-footerfixed {
		// position: fixed;
		width: 100%;
		bottom: calc(30rpx + env(safe-area-inset-bottom));
		// z-index: 1024;
		box-shadow: 0 1rpx 6rpx rgba(0, 0, 0, 0);

	}

	/* 底部悬浮按钮 end*/

	/* 查看*/
	.see {
		display: flex;
		justify-content: space-between;
		padding-top: 10rpx;
		border-radius: 6rpx;
		color: #666;
		line-height: 1.6;
	}

	/* 间隔线 start*/
	.tn-strip-bottom {
		width: 100%;
		border-bottom: 20rpx solid rgba(241, 241, 241, 0.8);
	}

	/* 间隔线 end*/
</style>